Class | PhusionPassenger::ClassicRails::RequestHandler
In: | lib/phusion_passenger/classic_rails/request_handler.rb
Parent: | AbstractRequestHandler

A request handler for Ruby on Rails applications.

### Methods

new process_request

### Constants

NINJA_PATCHING_LOCK | = | Mutex.new # :nodoc:

### External Aliases

perform_action | -> | passenger_orig_perform_action

### Public Class methods

new(owner_pipe, options = {})

### Protected Instance methods

process_request(headers, input, output, status_line_desired)

Overrided method.

[Validate]